Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.fingerprint
Class LongFPSetCache

    java.lang.Object
      org.archive.util.AbstractLongFPSet
          org.archive.util.fingerprint.MemLongFPSet
              org.archive.util.fingerprint.LongFPSetCache

All Implemented Interfaces:
  java.io.Serializable, LongFPSet

    public class LongFPSetCache

extends MemLongFPSet

Like a MemLongFPSet, but with fixed capacity and maximum size. When an add would expand past the maximum size, an old entry is deleted via a clock/counter algorithm.

Author:
  gojomo
See Also:
  Serialized Form

Field Summary
`(package private) long` | `sweepHand`

Fields inherited from class org.archive.util.fingerprint.MemLongFPSet
`slots, values`

Fields inherited from class org.archive.util.AbstractLongFPSet
`capacityPowerOfTwo, count, EMPTY, loadFactor`

Constructor Summary
`LongFPSetCache()`
`LongFPSetCache(int capacityPowerOfTwo, float loadFactor)`

Method Summary
`protected void` | `makeSpace()` Make additional space to keep the load under the target loadFactor level.
`protected void` | `noteAccess(long index)`

Methods inherited from class org.archive.util.fingerprint.MemLongFPSet
`clearAt, getAt, getSlotState, quickContains, relocate, setAt`

Methods inherited from class org.archive.util.AbstractLongFPSet
`add, contains, count, remove, removeAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.archive.util.fingerprint.LongFPSet
`add, contains, count, remove`

Field Detail

### sweepHand

    long sweepHand

Constructor Detail

### LongFPSetCache

    public LongFPSetCache()

### LongFPSetCache

    public LongFPSetCache(int capacityPowerOfTwo,
                          float loadFactor)

Method Detail

### noteAccess

    protected void noteAccess(long index)

### makeSpace

    protected void makeSpace()

  Description copied from class: `AbstractLongFPSet`
  Make additional space to keep the load under the target loadFactor level. Subclasses may grow or discard entries to satisfy.

  Overrides:
    `makeSpace` in class `MemLongFPSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.